Технические требования

Требования к сетям
Подробнее
Требования к серверам
Подробнее
Требования к клиентским компьютерам. Веб-клиент
Подробнее
Требования к клиентским компьютерам. Десктоп-клиент
Подробнее
Требования к компьютеру прикладного разработчика
Подробнее

Требования к сетям

Компонент Работа через Интернет Работа в локальной сети
Доступ к сети Интернет Связь 3G и выше  
Протокол HTTPS HTTPS или HTTP
Скорость передачи данных
  • 515 Кбит/c (при работе до 50 пользователей);
  • 2 Мбит/c (при работе более 50 пользователей).
100 Мбит/с
Время между отправкой запроса (RTT) и получением ответа Не выше 50 мс Не выше 10 мс
Уровень потерь сетевых пакетов Не выше 5% Не выше 0.01%

Требования к серверам

В разделе содержатся требования к одному серверу со всеми компонентами. Количество серверов увеличивается в зависимости от количества пользователей, которые будут одновременно работать с системой:

  • до 50 пользователей. В этом случае SQL-сервер можно устанавливать на один компьютер вместе со всеми компонентами;
  • до 500 пользователей. В этом случае рекомендуется на одном компьютере разворачивать SQL-сервер, а на другом компьютере все остальные компоненты (сервер приложений, сервисы Workflow и Агент, веб-сервер);
  • 500-1000 пользователей. Необходимо настраивать веб-ферму с расширением ARR (Application Request Routing) от Microsoft. ARR устанавливается вместе с IIS и распространяется бесплатно.

Для систем, в которых работает более 1000 пользователей, требования определяются индивидуально, в зависимости от объема данных и характера работы пользователей.

Компонент Требование
Процессор (Intel/AMD-совместимый x86/x64) 4 ядра с частотой 2 ГГц
Память (ОЗУ) 8 Гб или 10 Гб, если будет устанавливаться веб-сервер
Тип жесткого диска SATA
Жесткий диск
  • ОС: 1 диск;
  • Данные: RAID-1 (2 диска).
Сетевой адаптер 100 Мбит/с
Объем данных 150 Гб
ОС
  • Microsoft Windows Server 2008 R2 с обновлениями KB2533623 и KB2999226;
  • Microsoft Windows Server 2012/2012R2 с обновлением KB2999226;
    ВАЖНО. Для сервера, на который устанавливается сервер приложений, ОС Microsoft Windows Server 2008 R2/2012/2012R2 устанавливаются с компонентой Microsoft Visual C++ 2015 Redistributable Update 3.
  • Microsoft Windows Server 2016/2019.
    ВАЖНО. Если будет устанавливаться веб-сервер, то рекомендуемая ОС Microsoft Windows Server 2012 и выше.

Работа под управлением операционных систем на базе Linux (Альт Линукс, Astra Linux) возможна с использованием средств виртуализации.

Версию ОС следует выбирать исходя из требований СУБД.

СУБД

Microsoft SQL Server:

  • Microsoft SQL Server 2008/2008 R2/2012 Standard/Enterprise Edition 32- или 64-разрядная;
  • Microsoft SQL Server 2014 Standard/Enterprise Edition/Business Intelligence 32- или 64-разрядная;
  • Microsoft SQL Server 2012/2014/2016 Express (при работе до 50 пользователей)
    Объем базы данных ограничен 10 Гб, поэтому для хранения текстов документов необходимо использовать файловое хранилище;
  • Microsoft SQL Server 2016/2017 Standard/Enterprise Edition 64-разрядная.

Для всех версий Microsoft SQL Server рекомендуется установить последние актуальные обновления Service Pack.

PostgreSQL:

  • PostgreSQL 9.5.2/9.6/10/11;
  • Postgres Pro 9.5.2/9.6/10.

Рекомендуется устанавливать только для ОС на базе Linux.

Дополнительные компоненты
  • Microsoft .Net Framework 4.6.2 и выше;
  • Internet Information Service 7.0 и выше.

Требования к клиентским компьютерам

Веб-клиент

Компонент Требование к ПК Требование к планшетам
ОС
  • Microsoft Windows XP Professional;
  • Microsoft Windows 7 Professional/Enterprise/Ultimate 32- или 64-разрядная версия;
  • Microsoft Windows 8/8.1/10 Pro/Enterprise 32- или 64-разрядная версия;
  • Microsoft Windows Server 2008 R2 (SP1 64-разрядная, SP2 32- или 64-разрядная)/2012/2012R2 (64-разрядная версия)/2016/2019;
  • ALT Linux 7.0/8.0;
  • Astra Linux Сommon Edition 1.11 (Орел) и выше;
  • Ubuntu 16.04 LTS и выше;
  • OS X 10.11 EI Capitan;
  • macOS Sierra 10.12.5.
  • iOS 10.0 и выше;
  • Android 6.0 и выше;
  • Microsoft Windows 8/10 (не поддерживается Microsoft Windows RT).
Браузер

Для ОС Microsoft Windows:

  • Microsoft Internet Explorer 11;
  • Microsoft Edge;
  • Google Chrome;
  • Mozilla Firefox;
  • Яндекс Браузер.

ВАЖНО. Ночной режим поддерживается в браузерах Google Chrome, Mozilla Firefox, Яндекс Браузер, Opera, Safari.

Для ОС Microsoft Windows XP:

  • Google Chrome 49.0.

Для ОС на базе Linux:

  • Mozilla Firefox;
  • Google Chrome.

Для ОС на базе OS X/macOS:

  • Safari 10.1.1;
  • Mozilla Firefox;
  • Google Chrome.

Для ОС Apple iOS:

  • Apple Safari Mobile.

Для ОС Android:

  • Google Chrome.

Для ОС Windows:

  • Microsoft Internet Explorer.

Если для подписания документов планируется использовать сертификаты КриптоПРО, установите КриптоПро CSP версии 4.0 и выше.

Десктоп-клиент

Компонент Требование
Процессор Intel Core Duo 1,8 ГГц и выше
Память (ОЗУ) 2 Гб и выше.
Рекомендуется 4 Гб
Свободное место на жестком диске
  • Для установки системы не менее 2 Гб;
  • При работе с системой не менее 1 Гб.
ОС
  • Microsoft Windows Vista Business/Enterprise/Ultimate SP2 32- или 64-разрядная версия;
  • Microsoft Windows 7 Professional/Enterprise/Ultimate SP1 32- или 64-разрядная версия;
  • Microsoft Windows 8/8.1/10 Pro/Enterprise 32- или 64-разрядная версия;
  • Microsoft Windows Server 2008 R2 (SP1 64-разрядная, SP2 32- или 64-разрядная версия)/2012/2012R2 (64-разрядная версия)/2016/2019.
Дополнительные компоненты Microsoft .NET Framework 4.5
Разрешение экрана

Рекомендуемое — 1280×960 и выше.

При установке разрешения ниже указанного некоторые элементы системы могут не поместиться на экран.

Требования к компьютеру прикладного разработчика

Компоненты для работы со средой разработки необходимо ставить отдельно от продуктивного сервера DirectumRX.

Компонент Требование к компьютеру разработчика
Процессор Intel/AMD-совместимый x64, 4-ядерный 2ГГц
Память (ОЗУ) 8 Гб и выше
Свободное место на жестком диске Для установки и работы с системой не менее 2 ГБ
ОС
Дополнительные компоненты
  • Microsoft .NET Framework 4.6.2;
  • Microsoft .Net Framework SDK из Microsoft Windows SDK 7.0 и выше;
  • Internet Information Service 7.0 и выше;
  • Git 2.16.1 и выше.
Связаться
с нами

Оставьте свои контактные данные и мы свяжемся с вами